#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
int a[110];
int main()
{
    int T, n;
    cin >> T;
    while (T--)
    {
        cin >> n;
        for (int i = 0; i < n; i++)
            cin >> a[i];
        bool flag = true;
        for (int i = 0; i < n; i++)
            if (a[i] <= 0)
                flag = false;
        cout << (flag ? "WeRide.ai" : "Transform Mobility With Autonomous Driving") << endl;
    }
    return 0;
}
